# Contributing to mysql-audit

Welcome, and thank you for your interest in contributing to mysql-audit!


## Asking Questions

Have a question? </br> 
We accept questions as issues on GitHub.</br>
https://github.com/mcafee/mysql-audit/issues


## Providing Feedback

Have some feedback? We would love to hear it!</br>
Open an issue and let us know what you think.</br>
https://github.com/mcafee/mysql-audit/issues


## Reporting Issues
Found a bug?

Please feel free to report to: https://github.com/mcafee/mysql-audit/issues

### Look For an Existing Issue

Before you create a new issue, please do a search in [open issues](https://github.com/mcafee/mysql-audit/issues) to see if the issue or feature request has already been filed.

If you find your issue already exists, make relevant comments and add your [reaction](https://github.com/blog/2119-add-reactions-to-pull-requests-issues-and-comments). Use a reaction in place of a "+1" comment:

* 👍 - upvote
* 👎 - downvote

If you cannot find an existing issue that describes your bug or feature, create a new issue using the guidelines below.

### Writing Good Bug Reports and Feature Requests

Be sure to include a **title and clear description** with as much information as possible.

If reporting a bug, please describe the problem verbosely. Try to see if it reproduces and 
include a detailed description on how to reproduce.
 
Make sure to include your MySQL Server version and Audit Plugin version.
To print MySQL Server version: log into MySQL and execute the command: 

    status

Please include with the bug the MySQL error log. 
Log file location can be queried by running the following command: 

    show global variables like 'log_error'


## Contributing 

* Open a new GitHub pull request with a patch - name the patch something along the lines of `{contributor-name}-short-description`
* Ensure the pull request description clearly describes the problem/fix and solution.  Include the relevant issue number if applicable.
* Follow the coding and documentation conventions in the existing project.  Pull requests that simply reformat or restructure the content will not be accepted.


# Thank You!

Your contributions to open source, large or small, make great projects like this possible. Thank you for taking the time to contribute.
